Skip to main content
PATCH
/
v1
/
calls
/
voicemails
/
{voicemailId}
cURL
curl --request PATCH \
  --url https://api.buildwithchirp.com/v1/calls/voicemails/{voicemailId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "isRead": true
}'
{
  "id": "call_vm_2DbBs7GWhGvVNJGrDXr5RG0mBWI",
  "callId": "call_2DbBs7GWhGvVNJGrDXr5RG0mBWI",
  "callerNumber": "+15551234567",
  "callerChannel": "pstn",
  "duration": 30,
  "isRead": false,
  "transcription": "<string>",
  "recordingId": "call_rec_abc123",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

App API key (format: sk_live_app_* or sk_test_app_*) for app-level operations

Path Parameters

voicemailId
string
required

Unique identifier for a Call Voicemail. Format: call_vm_[test_]{ksuid}

Pattern: ^call_vm_(?:test_)?[a-zA-Z0-9]{27}$
Example:

"call_vm_2DbBs7GWhGvVNJGrDXr5RG0mBWI"

Body

application/json
isRead
boolean

Mark voicemail as read or unread

Response

Updated voicemail

id
string
required

Unique identifier for a Call Voicemail. Format: call_vm_[test_]{ksuid}

Pattern: ^call_vm_(?:test_)?[a-zA-Z0-9]{27}$
Example:

"call_vm_2DbBs7GWhGvVNJGrDXr5RG0mBWI"

callId
string
required

Unique identifier for a Call. Format: call_[test_]{ksuid}

Pattern: ^call_(?:test_)?[a-zA-Z0-9]{27}$
Example:

"call_2DbBs7GWhGvVNJGrDXr5RG0mBWI"

callerNumber
string
required
Example:

"+15551234567"

callerChannel
enum<string>
required

Communication channel for the call leg

Available options:
pstn,
whatsapp,
webrtc
Example:

"pstn"

duration
number | null
required

Voicemail duration in seconds

Example:

30

isRead
boolean
required
Example:

false

transcription
string | null
required

Voicemail transcription text

recordingId
string | null
required

ID of the associated call recording

Example:

"call_rec_abc123"

createdAt
string<date-time>
required